Generate cinematic videos from text descriptions with ByteDance’s Seedance 2.0. Supports configurable resolution, frame rate, duration, and aspect ratios.
Property
Value
Provider
ByteDance
Model
Seedance 2.0
Capability
Text to Video
Base Cost
240,000 micro-cents/second ($0.24/sec)
Processing Time
~300 seconds
Request Body
string
required
Model slug. Use bytedance/seedance-2.0/text-to-video for text-to-video generation.
object
required
Input parameters for text-to-video generation.
Hide properties
string
required
Text description of the video to generate (max 5000 characters).
Initial job status. Always "pending" on successful submission.
string
ISO 8601 timestamp of the estimated completion time.
number
The cost of the job in micro-cents.
Code Examples
curl -X POST https://api.muvi.video/v1/jobs/submit \ -H "Authorization: Bearer $PIXELBYTE_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "model": "bytedance/seedance-2.0/text-to-video", "input": { "prompt": "A cinematic shot of a lone astronaut walking across a glowing alien desert at sunset", "aspect_ratio": "16:9", "duration": "5", "resolution": "720p", "fps": "24" } }'
import requestsresponse = requests.post( "https://api.muvi.video/v1/jobs/submit", headers={ "Authorization": "Bearer YOUR_API_KEY", "Content-Type": "application/json" }, json={ "model": "bytedance/seedance-2.0/text-to-video", "input": { "prompt": "A cinematic shot of a lone astronaut walking across a glowing alien desert at sunset", "aspect_ratio": "16:9", "duration": "5", "resolution": "720p", "fps": "24" } })data = response.json()print(data)
const response = await fetch("https://api.muvi.video/v1/jobs/submit", { method: "POST", headers: { "Authorization": "Bearer YOUR_API_KEY", "Content-Type": "application/json" }, body: JSON.stringify({ model: "bytedance/seedance-2.0/text-to-video", input: { prompt: "A cinematic shot of a lone astronaut walking across a glowing alien desert at sunset", aspect_ratio: "16:9", duration: "5", resolution: "720p", fps: "24" } })});const data = await response.json();console.log(data);
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"PixelByte API","colors":{"primary":"#C33C04","light":"#FF6B35","dark":"#C33C04"},"logo":{"light":"https://developer.muvi.video/muvi-logo.png","dark":"https://developer.muvi.video/muvi-logo.png"},"favicon":"https://mintcdn.com/pixelbyte/OhmEVEUgGGWvcKLV/favicon.svg?fit=max\u0026auto=format\u0026n=OhmEVEUgGGWvcKLV\u0026q=85\u0026s=29b30376d11b19ec638e3318d6d4b438","api":{"playground":{"display":"interactive"},"examples":{"defaults":"required","languages":["curl","python","javascript"]},"mdx":{"auth":{"method":"bearer"},"server":"https://api.muvi.video"}},"navbar":{"links":[{"href":"mailto:[email protected]","label":"Support"}],"primary":{"type":"button","label":"Dashboard","href":"https://developer.muvi.video"}},"footer":{"socials":{"x":"https://x.com/pixelbyte","github":"https://github.com/pixelbyte"}},"contextual":{"options":["copy","view","chatgpt","claude","cursor"],"display":"header"},"styling":{"latex":true},"navigation":{"global":{"anchors":[{"anchor":"API Reference","icon":"code","href":"/api-reference/jobs/submit"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"pixelbyte","hasAudioNarration":false,"actualSubdomain":"pixelbyte","customDomains":["developer.pixelbyte.app"],"gitSource":{"type":"github","owner":"pixelbyte-apps","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"entitlements":{},"buildId":"6a9c235e4ce6faa3731b4586","clientVersion":"0.0.4270","searchFilterCounts":[{"language":"default","tag":"Video Models","count":114},{"language":"default","tag":"Kling Plus","count":42},{"language":"default","tag":"Image Models","count":27},{"language":"default","tag":"Kling","count":24},{"language":"default","tag":"API Reference","count":17},{"language":"default","tag":"Google","count":16},{"language":"default","tag":"Alibaba Plus","count":15},{"language":"default","tag":"OpenAI","count":8},{"language":"default","tag":"ByteDance","count":8},{"language":"default","tag":"Runway","count":7}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"/docs","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"site-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"control","enabled":true,"payload":{"type":"string","value":"control"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"wildcard-email-auth","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[]}
{"page":{"pagePath":"models/video/bytedance/seedance-2-0-text-to-video","slug":"/models/video/bytedance/seedance-2-0-text-to-video","pageMetadata":{"title":"Seedance 2.0 — Text to Video","api":"POST /v1/jobs/submit","description":"Generate cinematic videos from text prompts using ByteDance's Seedance 2.0 model","href":"/models/video/bytedance/seedance-2-0-text-to-video"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Generate cinematic videos from text prompts using ByteDance’s Seedance 2.0 model\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,..._provideComponents(),...props.components},{CodeBlock,CodeGroup,Expandable,Heading,ParamField,ResponseField,Table,Tip}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!CodeGroup)_missingMdxReference(`CodeGroup`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Table)_missingMdxReference(`Table`,true);if(!Tip)_missingMdxReference(`Tip`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`Generate cinematic videos from text descriptions with ByteDance’s Seedance 2.0. Supports configurable resolution, frame rate, duration, and aspect ratios.`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Property`}),_jsx(_components.th,{children:`Value`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.strong,{children:`Provider`})}),_jsx(_components.td,{children:`ByteDance`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.strong,{children:`Model`})}),_jsx(_components.td,{children:`Seedance 2.0`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.strong,{children:`Capability`})}),_jsx(_components.td,{children:`Text to Video`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.strong,{children:`Base Cost`})}),_jsx(_components.td,{children:`240,000 micro-cents/second ($0.24/sec)`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.strong,{children:`Processing Time`})}),_jsx(_components.td,{children:`~300 seconds`})]})]})]}),`\n`,_jsx(Heading,{level:`2`,id:`request-body`,children:`Request Body`}),`\n`,_jsx(ParamField,{body:`model`,type:`string`,required:true,placeholder:`bytedance/seedance-2.0/text-to-video`,id:`param-model`,children:_jsxs(_components.p,{children:[`Model slug. Use `,_jsx(_components.code,{children:`bytedance/seedance-2.0/text-to-video`}),` for text-to-video generation.`]})}),`\n`,_jsxs(ParamField,{body:`input`,type:`object`,required:true,id:`param-input`,children:[_jsx(_components.p,{children:`Input parameters for text-to-video generation.`}),_jsxs(Expandable,{title:`properties`,defaultOpen:true,children:[_jsx(ParamField,{body:`prompt`,type:`string`,required:true,id:`param-prompt`,children:_jsx(_components.p,{children:`Text description of the video to generate (max 5000 characters).`})}),_jsx(ParamField,{body:`aspect_ratio`,type:`string`,id:`param-aspect-ratio`,children:_jsxs(_components.p,{children:[`Video aspect ratio. Default: `,_jsx(_components.code,{children:`16:9`}),`. Options: `,_jsx(_components.code,{children:`21:9`}),`, `,_jsx(_components.code,{children:`16:9`}),`, `,_jsx(_components.code,{children:`4:3`}),`, `,_jsx(_components.code,{children:`1:1`}),`, `,_jsx(_components.code,{children:`3:4`}),`, `,_jsx(_components.code,{children:`9:16`}),`.`]})}),_jsx(ParamField,{body:`duration`,type:`string`,id:`param-duration`,children:_jsxs(_components.p,{children:[`Video duration in seconds. Default: `,_jsx(_components.code,{children:`5`}),`. Options: `,_jsx(_components.code,{children:`4`}),`, `,_jsx(_components.code,{children:`5`}),`, `,_jsx(_components.code,{children:`6`}),`, `,_jsx(_components.code,{children:`7`}),`, `,_jsx(_components.code,{children:`8`}),`, `,_jsx(_components.code,{children:`9`}),`, `,_jsx(_components.code,{children:`10`}),`, `,_jsx(_components.code,{children:`11`}),`, `,_jsx(_components.code,{children:`12`}),`, `,_jsx(_components.code,{children:`13`}),`, `,_jsx(_components.code,{children:`14`}),`, `,_jsx(_components.code,{children:`15`}),`.`]})}),_jsx(ParamField,{body:`resolution`,type:`string`,id:`param-resolution`,children:_jsxs(_components.p,{children:[`Output resolution. Default: `,_jsx(_components.code,{children:`720p`}),`. Options: `,_jsx(_components.code,{children:`720p`}),`, `,_jsx(_components.code,{children:`1440p`}),`.`]})}),_jsx(ParamField,{body:`fps`,type:`string`,id:`param-fps`,children:_jsxs(_components.p,{children:[`Frames per second. Default: `,_jsx(_components.code,{children:`24`}),`. Options: `,_jsx(_components.code,{children:`24`}),`, `,_jsx(_components.code,{children:`30`}),`, `,_jsx(_components.code,{children:`60`}),`.`]})})]})]}),`\n`,_jsx(ParamField,{body:`webhookUrl`,type:`string`,id:`param-webhook-url`,children:_jsx(_components.p,{children:`HTTPS URL to receive a webhook notification when the job completes or fails.`})}),`\n`,_jsx(Heading,{level:`2`,id:`pricing`,children:`Pricing`}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Base cost:`}),` 240,000 micro-cents per second ($0.24/sec)`]}),`\n`,_jsx(CodeBlock,{numberOfLines:`2`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`2`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`finalCost = baseCost × duration × resolution × fps`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Factor`}),_jsx(_components.th,{children:`Option`}),_jsx(_components.th,{children:`Multiplier`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.strong,{children:`Duration`})}),_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`4`})}),_jsx(_components.td,{children:`4x`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{}),_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`5`})}),_jsx(_components.td,{children:`5x`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{}),_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`6`})}),_jsx(_components.td,{children:`6x`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{}),_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`7`})}),_jsx(_components.td,{children:`7x`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{}),_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`8`})}),_jsx(_components.td,{children:`8x`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{}),_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`9`})}),_jsx(_components.td,{children:`9x`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{}),_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`10`})}),_jsx(_components.td,{children:`10x`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{}),_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`11`})}),_jsx(_components.td,{children:`11x`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{}),_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`12`})}),_jsx(_components.td,{children:`12x`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{}),_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`13`})}),_jsx(_components.td,{children:`13x`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{}),_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`14`})}),_jsx(_components.td,{children:`14x`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{}),_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`15`})}),_jsx(_components.td,{children:`15x`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.strong,{children:`Resolution`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`720p`})}),_jsx(_components.td,{children:`1x`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{}),_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`1440p`})}),_jsx(_components.td,{children:`2x`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.strong,{children:`FPS`})}),_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`24`})}),_jsx(_components.td,{children:`1x`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{}),_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`30`})}),_jsx(_components.td,{children:`1.1x`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{}),_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`60`})}),_jsx(_components.td,{\"data-numeric\":`true`,children:`1.25x`})]})]})]}),`\n`,_jsx(Tip,{children:_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Default cost:`}),` 5 seconds, 720p, 24 fps = 240,000 × 5 × 1 × 1 = `,_jsx(_components.strong,{children:`1,200,000 micro-cents ($1.20)`})]})}),`\n`,_jsx(Heading,{level:`2`,id:`response`,children:`Response`}),`\n`,_jsx(ResponseField,{name:`jobId`,type:`string`,id:`param-job-id`,children:_jsx(_components.p,{children:`Unique identifier for the submitted job.`})}),`\n`,_jsx(ResponseField,{name:`status`,type:`string`,id:`param-status`,children:_jsxs(_components.p,{children:[`Initial job status. Always `,_jsx(_components.code,{children:`\"pending\"`}),` on successful submission.`]})}),`\n`,_jsx(ResponseField,{name:`estimatedCompletionTime`,type:`string`,id:`param-estimated-completion-time`,children:_jsx(_components.p,{children:`ISO 8601 timestamp of the estimated completion time.`})}),`\n`,_jsx(ResponseField,{name:`costMicroCents`,type:`number`,id:`param-cost-micro-cents`,children:_jsx(_components.p,{children:`The cost of the job in micro-cents.`})}),`\n`,_jsx(Heading,{level:`2`,id:`code-examples`,children:`Code Examples`}),`\n`,_jsxs(CodeGroup,{children:[_jsx(CodeBlock,{filename:`cURL`,numberOfLines:`13`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`13`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -X`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` POST`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` https://api.muvi.video/v1/jobs/submit`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Authorization: Bearer `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`$PIXELBYTE_API_KEY`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Content-Type: application/json\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -d`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` '{`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"model\": \"bytedance/seedance-2.0/text-to-video\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"input\": {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"prompt\": \"A cinematic shot of a lone astronaut walking across a glowing alien desert at sunset\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"aspect_ratio\": \"16:9\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"duration\": \"5\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"resolution\": \"720p\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"fps\": \"24\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }'`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`Python`,numberOfLines:`22`,language:`python`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`python`,children:_jsxs(_components.code,{language:`python`,numberOfLines:`22`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`import`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` requests`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`response `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` requests.post(`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"https://api.muvi.video/v1/jobs/submit\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:` headers`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Authorization\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Bearer YOUR_API_KEY\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Content-Type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"application/json\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:` json`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"model\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"bytedance/seedance-2.0/text-to-video\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"input\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"prompt\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"A cinematic shot of a lone astronaut walking across a glowing alien desert at sunset\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"aspect_ratio\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"16:9\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"duration\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"5\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"resolution\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"720p\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"fps\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"24\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`)`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`data `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` response.json()`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#DCDCAA`},children:`print`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(data)`})]}),`\n`]})})}),_jsx(CodeBlock,{filename:`JavaScript`,numberOfLines:`20`,language:`javascript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`javascript`,children:_jsxs(_components.code,{language:`javascript`,numberOfLines:`20`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` response`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` await`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:` fetch`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://api.muvi.video/v1/jobs/submit\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` method:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"POST\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` headers:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Authorization\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Bearer YOUR_API_KEY\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Content-Type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"application/json\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` body:`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` JSON`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`stringify`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`({`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` model:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"bytedance/seedance-2.0/text-to-video\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` input:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` prompt:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"A cinematic shot of a lone astronaut walking across a glowing alien desert at sunset\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` aspect_ratio:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"16:9\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` duration:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"5\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` resolution:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"720p\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` fps:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"24\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` })`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`});`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` data`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` await`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` response`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`json`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`();`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`console`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`log`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`data`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`]})})})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Seedance 2.0 — Text to Video","api":"POST /v1/jobs/submit","description":"Generate cinematic videos from text prompts using ByteDance's Seedance 2.0 model","href":"/models/video/bytedance/seedance-2-0-text-to-video"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Request Body","slug":"request-body","depth":2,"children":[]},{"title":"Pricing","slug":"pricing","depth":2,"children":[]},{"title":"Response","slug":"response","depth":2,"children":[]},{"title":"Code Examples","slug":"code-examples","depth":2,"children":[]}],"codeExamples":{},"endpoint":{"title":"Seedance 2.0 — Text to Video","path":"/v1/jobs/submit","servers":[{"url":"https://api.muvi.video"}],"method":"post","request":{"security":[{"title":"Bearer Auth","parameters":{"header":{"Authorization":{"type":"http","scheme":"bearer","description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token."}},"query":{},"cookie":{}}}],"parameters":{"query":{},"header":{},"cookie":{},"path":{}},"body":{"application/json":{"schemaArray":[{"type":"object","properties":{"model":[{"type":"string","description":"Model slug. Use `bytedance/seedance-2.0/text-to-video` for text-to-video generation.","required":true,"placeholder":"bytedance/seedance-2.0/text-to-video"}],"input":[{"type":"object","properties":{"prompt":[{"type":"string","description":"Text description of the video to generate (max 5000 characters).","required":true}],"aspect_ratio":[{"type":"string","description":"Video aspect ratio. Default: `16:9` . Options: `21:9` , `16:9` , `4:3` , `1:1` , `3:4` , `9:16` ."}],"duration":[{"type":"string","description":"Video duration in seconds. Default: `5` . Options: `4` , `5` , `6` , `7` , `8` , `9` , `10` , `11` , `12` , `13` , `14` , `15` ."}],"resolution":[{"type":"string","description":"Output resolution. Default: `720p` . Options: `720p` , `1440p` ."}],"fps":[{"type":"string","description":"Frames per second. Default: `24` . Options: `24` , `30` , `60` ."}]},"description":"Input parameters for text-to-video generation.","required":true}],"webhookUrl":[{"type":"string","description":"HTTPS URL to receive a webhook notification when the job completes or fails."}]}}],"examples":{"example":{"value":{"model":"\u003cstring>","input":{"prompt":"\u003cstring>","aspect_ratio":"\u003cstring>","duration":"\u003cstring>","resolution":"\u003cstring>","fps":"\u003cstring>"},"webhookUrl":"\u003cstring>"}}}}}},"response":{"200":{"application/json":{"schemaArray":[{"type":"object","properties":{"jobId":[{"type":"string","description":"Unique identifier for the submitted job."}],"status":[{"type":"string","description":"Initial job status. Always `\"pending\"` on successful submission."}],"estimatedCompletionTime":[{"type":"string","description":"ISO 8601 timestamp of the estimated completion time."}],"costMicroCents":[{"type":"number","description":"The cost of the job in micro-cents."}]}}],"examples":{"example":{"value":{"jobId":"\u003cstring>","status":"\u003cstring>","estimatedCompletionTime":"\u003cstring>","costMicroCents":123}}}}}},"deprecated":false}},"jsLinks":["/docs/_mintlify/custom/pixelbyte/f8144d9251363dae/playground-prefill.js"],"subdomain":"pixelbyte","siteName":"PixelByte API","title":"Seedance 2.0 — Text to Video - PixelByte API","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-04-27T17:51:23.619Z","originalFileLocation":"models/video/bytedance/seedance-2-0-text-to-video.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Generate cinematic videos from text prompts using ByteDance\u0026#x27;s Seedance 2.0 model\">\u003cmeta data-mint-head name=\"application-name\" content=\"PixelByte API\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/pixelbyte/I1Vz0rFAqAUIZTwR/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/docs/mintlify-assets/_mintlify/favicons/pixelbyte/I1Vz0rFAqAUIZTwR/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/pixelbyte/I1Vz0rFAqAUIZTwR/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/pixelbyte/I1Vz0rFAqAUIZTwR/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/pixelbyte/I1Vz0rFAqAUIZTwR/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/pixelbyte/I1Vz0rFAqAUIZTwR/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/pixelbyte/I1Vz0rFAqAUIZTwR/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/pixelbyte/I1Vz0rFAqAUIZTwR/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/pixelbyte/I1Vz0rFAqAUIZTwR/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Seedance 2.0 — Text to Video - PixelByte API\">\u003cmeta data-mint-head property=\"og:description\" content=\"Generate cinematic videos from text prompts using ByteDance\u0026#x27;s Seedance 2.0 model\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"PixelByte API\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://developer.pixelbyte.app/docs/models/video/bytedance/seedance-2-0-text-to-video\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://pixelbyte.mintlify.site/docs/_mintlify/api/og/v2?division=Seedance+2.0\u0026amp;title=Seedance+2.0+%E2%80%94+Text+to+Video\u0026amp;description=Generate+cinematic+videos+from+text+prompts+using+ByteDance%27s+Seedance+2.0+model\u0026amp;theme=bbfacf0e8a1b9ad989832347\u0026amp;signature=c21e75ec927567e3342ff8e535b59e9205d9ac14ec6186be80a37a270278d052\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Seedance 2.0 — Text to Video - PixelByte API\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Generate cinematic videos from text prompts using ByteDance\u0026#x27;s Seedance 2.0 model\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://pixelbyte.mintlify.site/docs/_mintlify/api/og/v2?division=Seedance+2.0\u0026amp;title=Seedance+2.0+%E2%80%94+Text+to+Video\u0026amp;description=Generate+cinematic+videos+from+text+prompts+using+ByteDance%27s+Seedance+2.0+model\u0026amp;theme=bbfacf0e8a1b9ad989832347\u0026amp;signature=c21e75ec927567e3342ff8e535b59e9205d9ac14ec6186be80a37a270278d052\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/docs/mintlify-assets/_mintlify/favicons/pixelbyte/I1Vz0rFAqAUIZTwR/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"PixelByte API\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#C33C04\">\u003clink data-mint-head rel=\"canonical\" href=\"https://developer.pixelbyte.app/docs/models/video/bytedance/seedance-2-0-text-to-video\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/docs/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/docs/models/video/bytedance/seedance-2-0-text-to-video.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://developer.pixelbyte.app/#organization\",\"name\":\"PixelByte API\",\"url\":\"https://developer.pixelbyte.app\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://developer.muvi.video/muvi-logo.png\"}},{\"@type\":\"WebSite\",\"@id\":\"https://developer.pixelbyte.app/docs#website\",\"name\":\"PixelByte API\",\"url\":\"https://developer.pixelbyte.app/docs\",\"publisher\":{\"@id\":\"https://developer.pixelbyte.app/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://developer.pixelbyte.app/docs/models/video/bytedance/seedance-2-0-text-to-video#webpage\",\"url\":\"https://developer.pixelbyte.app/docs/models/video/bytedance/seedance-2-0-text-to-video\",\"name\":\"Seedance 2.0 — Text to Video\",\"description\":\"Generate cinematic videos from text prompts using ByteDance's Seedance 2.0 model\",\"dateModified\":\"2026-04-27T17:51:23.619Z\",\"isPartOf\":{\"@id\":\"https://developer.pixelbyte.app/docs#website\"},\"breadcrumb\":{\"@id\":\"https://developer.pixelbyte.app/docs/models/video/bytedance/seedance-2-0-text-to-video#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://developer.pixelbyte.app/docs/models/video/bytedance/seedance-2-0-text-to-video#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"PixelByte API\",\"item\":\"https://developer.pixelbyte.app/docs\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Seedance 2.0 — Text to Video\",\"item\":\"https://developer.pixelbyte.app/docs/models/video/bytedance/seedance-2-0-text-to-video\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://developer.pixelbyte.app/docs/models/video/bytedance/seedance-2-0-text-to-video#apireference\",\"headline\":\"Seedance 2.0 — Text to Video\",\"name\":\"Seedance 2.0 — Text to Video\",\"description\":\"Generate cinematic videos from text prompts using ByteDance's Seedance 2.0 model\",\"url\":\"https://developer.pixelbyte.app/docs/models/video/bytedance/seedance-2-0-text-to-video\",\"mainEntityOfPage\":{\"@id\":\"https://developer.pixelbyte.app/docs/models/video/bytedance/seedance-2-0-text-to-video#webpage\"},\"dateModified\":\"2026-04-27T17:51:23.619Z\",\"publisher\":{\"@id\":\"https://developer.pixelbyte.app/#organization\"},\"isPartOf\":{\"@id\":\"https://developer.pixelbyte.app/docs#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"PixelByte API\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"PixelByte API\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/docs/models/video/bytedance/seedance-2-0-text-to-video.md","siteName":"PixelByte API","nav":{"global":{"anchors":[{"anchor":"API Reference","icon":"code","href":"/api-reference/jobs/submit"}]},"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/introduction"}]},{"tab":"API Reference","pages":[{"title":"API Reference","href":"/api-reference/jobs/submit"}]},{"tab":"Video Models","groups":[{"group":"Google","pages":[{"group":"Veo 3.1 Fast","pages":[{"title":"Veo 3.1 Fast — Text to Video","api":"POST /v1/jobs/submit","href":"/models/video/google/veo-3-1-fast-text-to-video"},{"title":"Veo 3.1 Fast — Image to Video","api":"POST /v1/jobs/submit","href":"/models/video/google/veo-3-1-fast-image-to-video"},{"title":"Veo 3.1 Fast — Reference to Video","api":"POST /v1/jobs/submit","href":"/models/video/google/veo-3-1-fast-reference-to-video"},{"title":"Veo 3.1 Fast — Start-End Frame to Video","api":"POST /v1/jobs/submit","href":"/models/video/google/veo-3-1-fast-start-end-frame-to-video"}]},{"group":"Veo 3.1","pages":[{"title":"Veo 3.1 — Text to Video","api":"POST /v1/jobs/submit","href":"/models/video/google/veo-3-1-text-to-video"},{"title":"Veo 3.1 — Image to Video","api":"POST /v1/jobs/submit","href":"/models/video/google/veo-3-1-image-to-video"},{"title":"Veo 3.1 — Reference to Video","api":"POST /v1/jobs/submit","href":"/models/video/google/veo-3-1-reference-to-video"},{"title":"Veo 3.1 — Start-End Frame to Video","api":"POST /v1/jobs/submit","href":"/models/video/google/veo-3-1-start-end-frame-to-video"}]},{"group":"Veo 3.1","pages":[{"title":"Veo 3.1 (ECL) — Image to Video","api":"POST /v1/jobs/submit","href":"/models/video/google/veo-3-1-ecl-image-to-video"},{"title":"Veo 3.1 (ECL) — Start-End Frame to Video","api":"POST /v1/jobs/submit","href":"/models/video/google/veo-3-1-ecl-start-end-frame-to-video"}]}]},{"group":"OpenAI","pages":[{"group":"Sora 2","pages":[{"title":"Sora 2 — Text to Video","api":"POST /v1/jobs/submit","href":"/models/video/openai/sora-2-text-to-video"},{"title":"Sora 2 — Image to Video","api":"POST /v1/jobs/submit","href":"/models/video/openai/sora-2-image-to-video"}]},{"group":"Sora 2 Pro","pages":[{"title":"Sora 2 Pro — Text to Video","api":"POST /v1/jobs/submit","href":"/models/video/openai/sora-2-pro-text-to-video"},{"title":"Sora 2 Pro — Image to Video","api":"POST /v1/jobs/submit","href":"/models/video/openai/sora-2-pro-image-to-video"}]}]},{"group":"Runway","pages":[{"group":"Gen 4.5","pages":[{"title":"Gen 4.5 — Text to Video","api":"POST /v1/jobs/submit","href":"/models/video/runway/gen-4-5-text-to-video"},{"title":"Gen 4.5 — Image to Video","api":"POST /v1/jobs/submit","href":"/models/video/runway/gen-4-5-image-to-video"}]},{"group":"Gen 4","pages":[{"title":"Gen 4","api":"POST /v1/jobs/submit","href":"/models/video/runway/gen-4"}]},{"group":"Gen 4 Turbo","pages":[{"title":"Gen 4 Turbo","api":"POST /v1/jobs/submit","href":"/models/video/runway/gen-4-turbo"}]}]},{"group":"Kling","pages":[{"group":"Kling 3.0 Pro","pages":[{"title":"Kling 3.0 Pro — Text to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling/kling-3-0-pro-text-to-video"},{"title":"Kling 3.0 Pro — Image to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling/kling-3-0-pro-image-to-video"},{"title":"Kling 3.0 Pro — Start-End Frame to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling/kling-3-0-pro-start-end-frame-to-video"}]},{"group":"Kling 3.0 Standard","pages":[{"title":"Kling 3.0 Standard — Text to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling/kling-3-0-standard-text-to-video"},{"title":"Kling 3.0 Standard — Image to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling/kling-3-0-standard-image-to-video"},{"title":"Kling 3.0 Standard — Start-End Frame to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling/kling-3-0-standard-start-end-frame-to-video"}]},{"group":"Kling 2.6 Pro","pages":[{"title":"Kling 2.6 Pro — Text to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling/kling-2-6-pro-text-to-video"},{"title":"Kling 2.6 Pro — Image to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling/kling-2-6-pro-image-to-video"}]},{"group":"Kling 2.6 I2V","pages":[{"title":"Kling 2.6 I2V","api":"POST /v1/jobs/submit","href":"/models/video/kling/kling-2-6-i2v"}]},{"group":"Kling 2.5","pages":[{"title":"Kling Text2Video V2.5 — Text to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling/kling-text2video-v25-text-to-video"},{"title":"Kling I2V Frames V2.5 — Image to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling/kling-i2v-frames-v25-image-to-video"},{"title":"Kling I2V Frames V2.5 — Start-End Frame to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling/kling-i2v-frames-v25-start-end-frame-to-video"}]},{"group":"Kling 2.6","pages":[{"title":"Kling 2.6 — Text to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling/kling-text2video-v26-text-to-video"},{"title":"Kling 2.6 — Image to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling/kling-i2v-frames-v26-image-to-video"},{"title":"Kling 2.6 — Start-End Frame to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling/kling-i2v-frames-v26-start-end-frame-to-video"}]},{"group":"Kling 3.0","pages":[{"title":"Kling 3.0 — Text to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling/kling-text2video-v3-text-to-video"},{"title":"Kling 3.0 — Image to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling/kling-i2v-frames-v3-image-to-video"},{"title":"Kling 3.0 — Start-End Frame to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling/kling-i2v-frames-v3-start-end-frame-to-video"},{"title":"Kling 3.0 — Image-to-Video Elements","api":"POST /v1/jobs/submit","href":"/models/video/kling/kling-elements-i2v-v3-image-to-video-elements"},{"title":"Kling Extend 3.0 — Extend Video","api":"POST /v1/jobs/submit","href":"/models/video/kling/kling-extend-v3-extend-video"}]},{"group":"Kling Motion 3.0","pages":[{"title":"Kling Motion 3.0 — Motion Transfer to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling/kling-motion-create-v3-motion-transfer-to-video"}]},{"group":"Kling O1","pages":[{"title":"Kling O1 — Text to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling/kling-omni-o1-text-to-video"},{"title":"Kling O1 — Image to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling/kling-omni-o1-image-to-video"},{"title":"Kling O1 — Start-End Frame to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling/kling-i2v-frames-o1-start-end-frame-to-video"}]}]},{"group":"Kling Plus","pages":[{"group":"Kling 2.1 Master","pages":[{"title":"Kling 2.1 Master — Text to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling-plus/kling-2-1-master-text-to-video"},{"title":"Kling 2.1 Master — Image to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling-plus/kling-2-1-master-image-to-video"}]},{"group":"Kling 2.1 Pro","pages":[{"title":"Kling 2.1 Pro — Image to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling-plus/kling-2-1-pro-image-to-video"},{"title":"Kling 2.1 Pro — Start-End Frame to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling-plus/kling-2-1-pro-start-end-frame-to-video"}]},{"group":"Kling 2.5 Turbo Pro","pages":[{"title":"Kling 2.5 Turbo Pro — Text to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling-plus/kling-2-5-turbo-pro-text-to-video"},{"title":"Kling 2.5 Turbo Pro — Image to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling-plus/kling-2-5-turbo-pro-image-to-video"}]},{"group":"Kling 2.5 Turbo Standard","pages":[{"title":"Kling 2.5 Turbo Standard — Image to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling-plus/kling-2-5-turbo-standard-image-to-video"}]},{"group":"Kling 2.6 Pro","pages":[{"title":"Kling 2.6 Pro — Text to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling-plus/kling-2-6-pro-text-to-video"},{"title":"Kling 2.6 Pro — Image to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling-plus/kling-2-6-pro-image-to-video"},{"title":"Kling 2.6 Pro — Motion Control","api":"POST /v1/jobs/submit","href":"/models/video/kling-plus/kling-2-6-pro-motion-control"}]},{"group":"Kling 2.6 Standard","pages":[{"title":"Kling 2.6 Standard — Text to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling-plus/kling-2-6-standard-text-to-video"},{"title":"Kling 2.6 Standard — Image to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling-plus/kling-2-6-standard-image-to-video"},{"title":"Kling 2.6 Standard — Motion Control","api":"POST /v1/jobs/submit","href":"/models/video/kling-plus/kling-2-6-standard-motion-control"}]},{"group":"Kling 3.0 Pro","pages":[{"title":"Kling 3.0 Pro — Text to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling-plus/kling-3-0-pro-text-to-video"},{"title":"Kling 3.0 Pro — Image to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling-plus/kling-3-0-pro-image-to-video"},{"title":"Kling 3.0 Pro — Start-End Frame to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling-plus/kling-3-0-pro-start-end-frame-to-video"},{"title":"Kling 3.0 Pro — Motion Control","api":"POST /v1/jobs/submit","href":"/models/video/kling-plus/kling-3-0-pro-motion-control"}]},{"group":"Kling 3.0 Standard","pages":[{"title":"Kling 3.0 Standard — Text to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling-plus/kling-3-0-standard-text-to-video"},{"title":"Kling 3.0 Standard — Image to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling-plus/kling-3-0-standard-image-to-video"},{"title":"Kling 3.0 Standard — Start-End Frame to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling-plus/kling-3-0-standard-start-end-frame-to-video"},{"title":"Kling 3.0 Standard — Motion Control","api":"POST /v1/jobs/submit","href":"/models/video/kling-plus/kling-3-0-standard-motion-control"}]},{"group":"Kling O1 Pro","pages":[{"title":"Kling O1 Pro — Text to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling-plus/kling-o1-pro-text-to-video"},{"title":"Kling O1 Pro — Image to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling-plus/kling-o1-pro-image-to-video"},{"title":"Kling O1 Pro — Reference to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling-plus/kling-o1-pro-reference-to-video"},{"title":"Kling O1 Pro — Start-End Frame to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling-plus/kling-o1-pro-start-end-frame-to-video"},{"title":"Kling O1 Pro — Video Edit","api":"POST /v1/jobs/submit","href":"/models/video/kling-plus/kling-o1-pro-video-edit"},{"title":"Kling O1 Pro — Video Edit (Fast)","api":"POST /v1/jobs/submit","href":"/models/video/kling-plus/kling-o1-pro-video-edit-fast"}]},{"group":"Kling O1 Standard","pages":[{"title":"Kling O1 Standard — Text to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling-plus/kling-o1-standard-text-to-video"},{"title":"Kling O1 Standard — Image to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling-plus/kling-o1-standard-image-to-video"},{"title":"Kling O1 Standard — Reference to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling-plus/kling-o1-standard-reference-to-video"},{"title":"Kling O1 Standard — Start-End Frame to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling-plus/kling-o1-standard-start-end-frame-to-video"},{"title":"Kling O1 Standard — Video Edit","api":"POST /v1/jobs/submit","href":"/models/video/kling-plus/kling-o1-standard-video-edit"}]},{"group":"Kling O3 Pro","pages":[{"title":"Kling O3 Pro — Text to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling-plus/kling-o3-pro-text-to-video"},{"title":"Kling O3 Pro — Image to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling-plus/kling-o3-pro-image-to-video"},{"title":"Kling O3 Pro — Reference to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling-plus/kling-o3-pro-reference-to-video"},{"title":"Kling O3 Pro — Start-End Frame to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling-plus/kling-o3-pro-start-end-frame-to-video"},{"title":"Kling O3 Pro — Video Edit","api":"POST /v1/jobs/submit","href":"/models/video/kling-plus/kling-o3-pro-video-edit"}]},{"group":"Kling O3 Standard","pages":[{"title":"Kling O3 Standard — Text to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling-plus/kling-o3-standard-text-to-video"},{"title":"Kling O3 Standard — Image to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling-plus/kling-o3-standard-image-to-video"},{"title":"Kling O3 Standard — Reference to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling-plus/kling-o3-standard-reference-to-video"},{"title":"Kling O3 Standard — Start-End Frame to Video","api":"POST /v1/jobs/submit","href":"/models/video/kling-plus/kling-o3-standard-start-end-frame-to-video"},{"title":"Kling O3 Standard — Video Edit","api":"POST /v1/jobs/submit","href":"/models/video/kling-plus/kling-o3-standard-video-edit"}]}]},{"group":"Alibaba","pages":[{"group":"Wan 2.2 Super","pages":[{"title":"Wan 2.2 Super — Image to Video","api":"POST /v1/jobs/submit","href":"/models/video/alibaba/wan-2-2-super-image-to-video"}]},{"group":"Wan 2.6 Flash","pages":[{"title":"Wan 2.6 Flash","api":"POST /v1/jobs/submit","href":"/models/video/alibaba/wan-2-6-flash"}]}]},{"group":"Alibaba Plus","pages":[{"group":"Wan 2.6","pages":[{"title":"Wan 2.6 — Text to Video","api":"POST /v1/jobs/submit","href":"/models/video/alibaba-plus/wan-2-6-text-to-video"},{"title":"Wan 2.6 — Image to Video","api":"POST /v1/jobs/submit","href":"/models/video/alibaba-plus/wan-2-6-image-to-video"},{"title":"Wan 2.6 — Reference to Video","api":"POST /v1/jobs/submit","href":"/models/video/alibaba-plus/wan-2-6-reference-to-video"},{"title":"Wan 2.6 — Video Extend","api":"POST /v1/jobs/submit","href":"/models/video/alibaba-plus/wan-2-6-video-extend"}]},{"group":"Wan 2.6 Flash","pages":[{"title":"Wan 2.6 Flash — Image to Video","api":"POST /v1/jobs/submit","href":"/models/video/alibaba-plus/wan-2-6-flash-image-to-video"},{"title":"Wan 2.6 Flash — Reference to Video","api":"POST /v1/jobs/submit","href":"/models/video/alibaba-plus/wan-2-6-flash-reference-to-video"}]},{"group":"Wan 2.6 Pro","pages":[{"title":"Wan 2.6 Pro — Image to Video","api":"POST /v1/jobs/submit","href":"/models/video/alibaba-plus/wan-2-6-pro-image-to-video"}]},{"group":"Wan 2.6 Super","pages":[{"title":"Wan 2.6 Super — Image to Video","api":"POST /v1/jobs/submit","href":"/models/video/alibaba-plus/wan-2-6-super-image-to-video"}]},{"group":"Wan 2.7","pages":[{"title":"Wan 2.7 — Text to Video","api":"POST /v1/jobs/submit","href":"/models/video/alibaba-plus/wan-2-7-text-to-video"},{"title":"Wan 2.7 — Image to Video","api":"POST /v1/jobs/submit","href":"/models/video/alibaba-plus/wan-2-7-image-to-video"},{"title":"Wan 2.7 — Reference to Video","api":"POST /v1/jobs/submit","description":"Generate reference to video outputs using Alibaba+'s Wan 2.7 model via PixelByte API","href":"/models/video/alibaba-plus/wan-2-7-reference-to-video"}]}]},{"group":"ByteDance","pages":[{"group":"Seedance 2.0","pages":[{"title":"Seedance 2.0 — Text to Video","api":"POST /v1/jobs/submit","href":"/models/video/bytedance/seedance-2-0-text-to-video"},{"title":"Seedance 2.0 — Image to Video","api":"POST /v1/jobs/submit","description":"Animate still images with cinematic motion using ByteDance's Seedance 2.0 model","href":"/models/video/bytedance/seedance-2-0-image-to-video"},{"title":"Seedance 2.0 — Start-End Frame to Video","api":"POST /v1/jobs/submit","href":"/models/video/bytedance/seedance-2-0-start-end-frame-to-video"},{"title":"Seedance 2.0 — Omni Reference to Video","api":"POST /v1/jobs/submit","href":"/models/video/bytedance/seedance-2-0-omni-reference"}]},{"group":"Seedance 2.0 Fast","pages":[{"title":"Seedance 2.0 Fast — Text to Video","api":"POST /v1/jobs/submit","href":"/models/video/bytedance/seedance-2-0-fast-text-to-video"},{"title":"Seedance 2.0 Fast — Image to Video","api":"POST /v1/jobs/submit","href":"/models/video/bytedance/seedance-2-0-fast-image-to-video"},{"title":"Seedance 2.0 Fast — Start-End Frame to Video","api":"POST /v1/jobs/submit","href":"/models/video/bytedance/seedance-2-0-fast-start-end-frame-to-video"},{"title":"Seedance 2.0 Fast — Omni Reference to Video","api":"POST /v1/jobs/submit","href":"/models/video/bytedance/seedance-2-0-fast-omni-reference"}]}]},{"group":"ByteDance Plus","pages":[{"group":"Seedance 1.5 Pro Super","pages":[{"title":"Seedance 1.5 Pro Super — Image to Video","api":"POST /v1/jobs/submit","href":"/models/video/bytedance-plus/seedance-1-5-pro-super-image-to-video"},{"title":"Seedance 1.5 Pro Super — Start-End Frame to Video","api":"POST /v1/jobs/submit","href":"/models/video/bytedance-plus/seedance-1-5-pro-super-start-end-frame-to-video"}]}]},{"group":"MiniMax Plus","pages":[{"group":"Hailuo 2.3 Standard","pages":[{"title":"Hailuo 2.3 Standard — Text to Video","api":"POST /v1/jobs/submit","href":"/models/video/minimax-plus/hailuo-2-3-standard-text-to-video"},{"title":"Hailuo 2.3 Standard — Image to Video","api":"POST /v1/jobs/submit","href":"/models/video/minimax-plus/hailuo-2-3-standard-image-to-video"}]},{"group":"Hailuo 2.3 Pro","pages":[{"title":"Hailuo 2.3 Pro — Text to Video","api":"POST /v1/jobs/submit","href":"/models/video/minimax-plus/hailuo-2-3-pro-text-to-video"},{"title":"Hailuo 2.3 Pro — Image to Video","api":"POST /v1/jobs/submit","href":"/models/video/minimax-plus/hailuo-2-3-pro-image-to-video"}]},{"group":"Hailuo 2.3 Fast","pages":[{"title":"Hailuo 2.3 Fast — Image to Video","api":"POST /v1/jobs/submit","href":"/models/video/minimax-plus/hailuo-2-3-fast-image-to-video"}]},{"group":"Hailuo 2.3 Fast Pro","pages":[{"title":"Hailuo 2.3 Fast Pro — Image to Video","api":"POST /v1/jobs/submit","href":"/models/video/minimax-plus/hailuo-2-3-fast-pro-image-to-video"}]}]},{"group":"xAI","pages":[{"group":"Grok Imagine","pages":[{"title":"Grok Imagine","api":"POST /v1/jobs/submit","href":"/models/video/xai/grok-imagine"}]}]}]},{"tab":"Image Models","pages":[{"title":"Image Models","href":"/models/image/google/nano-banana"}]}]},"basePath":"","title":"Seedance 2.0 — Text to Video - PixelByte API","deploymentId":"dpl_53YqbBPsHdrqSGqXiWPGU7csRVod","buildId":"dpl_53YqbBPsHdrqSGqXiWPGU7csRVod","dynamics":["c2aa737661","2b790eda92","b0f84f53ff"],"chunks":["OpenApiReferenceProvider-Ku9dSkH0.js","snippetPresets-Cjez4eet.js","utils-BqNa-fnS.js","style-to-object-BY3JEAdk.js","utils-DiE92JCe.js","v4-DIgz8zy6.js","addUniqueKeysToSchema-Bi0DpqVf.js","conditional-requirements-CFM0id0Q.js","cloneDeep-C6xnxscF.js","_Uint8Array-B7g0OYAt.js","isObject-FP1Yky1u.js","ApiExamples-Bf8Ecb5t.js","usePlaygroundInputsStore-BA942cq6.js","shallow-D0sePNkF.js","isEqual-CnnQO8sL.js","CodeSnippets-BTANoy1T.js","CodeSnippet-CTZvgJfu.js","getApiPlaygroundDisplay-BK2o1XYu.js","Page--B9YZ09u.js","DynamicMarkdown-CsgNpZb1.js","SectionHeading-C3K437Dy.js","icon-DlxjjqnB.js","MethodPill-Cr7Ib9nN.js","getPastedJson-DXo3wtHt.js","Check2Icon-ChEI-f_B.js","axios-CsQoIw0U.js"]}